Bug 56256 - PRINTING and PDF export: inconsistent consideration of Appearance color Settings
Summary: PRINTING and PDF export: inconsistent consideration of Appearance color Settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-10-21 15:20 UTC by Rainer Bielefeld Retired
Modified: 2016-10-29 09:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-21 15:20:34 UTC
Steps how to reproduce with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 370m0(Build:0)]"  {tinderbox: @6, pull time 2012-10-20 14:21:35} on German WIN7 Home Premium (64bit) with separate User Profile for Master Branch

1. Open new Spreadsheet from LibO start center
2. Menu 'Tools -> Options -> LibO -> Appearance - Spreadsheet
   Modify:
    Grid Lines         Auto >> Light Red
    Notes Background   Auto >> Turquoise
3. Add little Text and a visible Comment
4. Export as PDF and print.
   Expected: Grid red,  Notes Background Turquoise
   Actual:  Grid BLACK, Notes Background Turquoise

Some of the settings are without Print impact (Manual page break .., but I think all elements visible in a print should follow the settings the same way (IMHO: respect settings).
Comment 1 Rainer Bielefeld Retired 2012-10-21 15:25:55 UTC
Already Reproducible with OOo 3.1.1, so inherited from OOo.

Grid lines problem of course only visible if Print of Grid lines activated in 'Format -> Page -> Sheet'

Further investigation concernint Writer and others required.
Comment 2 A (Andy) 2013-03-09 23:43:44 UTC
not in that way reproducible with LO 4.0.1.2 (Win7 Home, 64bit)

The comment has a turquoise background, but there are no grid lines at all printed, neither via PRINT nor as PDF.

@Rainer: Do you have there black grid lines also with the latest release of LO?
Comment 3 tommy27 2013-08-18 07:01:45 UTC
tested on LibO 4.0.4 (Win7 64bit)

I confirm that gridlines are printed black instead of red.

as said by Reiner the issue is only visible if Print of Grid lines is activated in 'Format -> Page -> Sheet'
Comment 4 QA Administrators 2015-04-01 14:41:07 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-04-22 19:15:11 UTC
Still reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 6 QA Administrators 2016-09-20 09:33:43 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920